<?php

namespace NoccyLabs\Dataset\Readers;


class CsvReaderTest extends \PHPUnit\Framework\TestCase
{
    /**
     * @covers CsvReader
     */
    public function testReadingSingleFile()
    {
        $reader = new CsvReader(__DIR__."/../../test/test/data/data.csv", []);
        $arr = iterator_to_array($reader);

        $this->assertEquals(5, count($arr), "Expected 5 items");
    }

    /**
     * @covers CsvReader
     */
    public function testReadingSplitFile()
    {
        $reader = new CsvReader(__DIR__."/../../test/test/data/*.csv", []);
        $arr = iterator_to_array($reader);

        $this->assertEquals(5, count($arr), "Expected 5 items");
    }
}